libsemanage1_2.3-1build3_amd64.deb


Advertisement

Description

libsemanage1 - SELinux policy management library

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libsemanage1_2.3-1build3_amd64.deb
Package name libsemanage1
Package version 2.3
Package release 1build3
Package architecture amd64
Package type deb
Category libs
Homepage http://userspace.selinuxproject.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 69.41 KB
Installed size 247.00 KB
This package provides the shared libraries for SELinux policy management.
It uses libsepol for binary policy manipulation and libselinux for
interacting with the SELinux system.  It also exec's helper programs
for loading policy and for checking whether the file_contexts
configuration is valid (load_policy and setfiles from
policycoreutils) presently, although this may change at least for the
bootstrapping case
Security-enhanced Linux is a patch of the Linux kernel and a
number of utilities with enhanced security functionality designed to
add mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement, Role-based Access
Control, and Multi-level Security.

Alternatives

Package Version Architecture Repository
libsemanage1_2.3-1build3_i386.deb 2.3 i386 Ubuntu Main
libsemanage1 - - -

Requires

Name Value
libaudit1 >= 1:2.2.1
libbz2-1.0 -
libc6 >= 2.14
libselinux1 >= 2.1.12
libsemanage-common = 2.3-1build3
libsepol1 >= 2.1.4
libustr-1.0-1 >= 1.0.4

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libsemanage1_2.3-1build3_amd64.deb
Source Package libsemanage

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libsemanage1 deb package:
    # sudo apt-get install libsemanage1

Files

Path
/usr/lib/x86_64-linux-gnu/libsemanage.so.1
/usr/share/doc/libsemanage1/changelog.Debian.gz
/usr/share/doc/libsemanage1/copyright

Changelog

2016-04-20 - Adam Conrad <adconrad@ubuntu.com>
libsemanage (2.3-1build3) xenial; urgency=medium
* No-change rebuild for ruby2.3 support.
2015-09-09 - Matthias Klose <doko@ubuntu.com>
libsemanage (2.3-1build2) wily; urgency=medium
* No-change rebuild to add ruby2.2 support.
2014-12-02 - Brian Murray <brian@ubuntu.com>
libsemanage (2.3-1build1) vivid; urgency=medium
* No change rebuild to get debug symbols on all architectures.
2014-05-16 - Laurent Bigonville <bigon@debian.org>
libsemanage (2.3-1) unstable; urgency=medium
* Team upload.
* New upstream release
- debian/control: Bump {build-}dependencies to match new release
* debian/rules: Do not require ruby or python dh helpers when bootstrapping
* debian/rules: Rework the makefile, it should handle changes in the
supported ruby versions by binNMU now (Closes: #747685)
* debian/rules: Fix path in the override_dh_fixperms target
2014-05-02 - Laurent Bigonville <bigon@debian.org>
libsemanage (2.2-2) unstable; urgency=medium
* Team upload.
[ Hideki Yamane ]
* debian/{rules,ruby-semanage.install}
- remove ruby1.9.1 (however, it's just a workaround since it specifies
only ruby2.0, and we'll move to ruby2.1) (Closes: #746025)
[ Laurent Bigonville ]
* debian/rules: Build ruby 2.1 bindings too
* debian/control: Bump Standards-Version to 3.9.5 (no further changes)
2013-11-01 - Laurent Bigonville <bigon@debian.org>
libsemanage (2.2-1) unstable; urgency=low
* Team upload.
* New upstream release
- Drop debian/patches/max-uid: Merged upstream
- Drop debian/patches/fix_swig_python_exception.patch: Merged upstream
- debian/control:
+ Bump {build-}dependencies to match new release
+ Add libaudit-dev to the build-dependencies
2013-10-02 - Laurent Bigonville <bigon@debian.org>
libsemanage (2.1.10-3) unstable; urgency=low
* Team upload.
* debian/patches/disable-expand-check.patch: Disable expand-check option by
default to speedup semodule operations (Closes: #724999)
* debian/control: Bump Standards-Version to 3.9.4 (no further changes)
* debian/rules: Stop building binding for ruby 1.8 and start building it for
ruby 2.0 (Closes: #720220)
* debian/control, debian/rules: Drop libsemanage-ruby1.8 transitional
package
* debian/control: Use canonical URL for VCS-Git field
2013-05-20 - Laurent Bigonville <bigon@debian.org>
libsemanage (2.1.10-2) unstable; urgency=low
* Team upload.
* debian/control: Add Build-dependency against pkg-config
* debian/rules: Do not build the bindings if we are in "stage1", this help to
bootstrap new architectures (Closes: #708404)
* debian/rules: Fix FTBFS with multiarched python
* debian/patches/fix_swig_python_exception.patch: Fix the generation of the
semanageswig_python_exception.i file
2013-05-10 - Laurent Bigonville <bigon@debian.org>
libsemanage (2.1.10-1) unstable; urgency=low
* Team upload.
* New upstream release
- debian/control: Bump (build-) dependencies to match the release
- debian/patches/max-uid: Refreshed
2012-09-26 - Laurent Bigonville <bigon@debian.org>
libsemanage (2.1.9-1) experimental; urgency=low
* Team upload.
* New upstream release
- Drop debian/patches/fallback-user-level, applied upstream
- Drop debian/patches/no-link-libpython.patch, applied upstream
- Refreshed debian/patches/makefile
- Drop debian/patches/prefix-rubymodule.patch, applied upstream
- Drop debian/patches/python-semanage-make, not needed anymore
- debian/patches/max-uid: Drop useless changes
- Bump libsepol1 and libselinux1 {build-}dependencies
- debian/rules: Also pass RUBYINC for ruby 1.8 and add missing -I for 1.9
- Drop debian/patches/makefile, not needed anymore
* Update debian/watch file
* debian/gbp.conf: Change the debian-branch to "debian" instead of "upstream"

See Also

Package Description
libsensors4-dev_3.4.0-2_amd64.deb lm-sensors development kit
libsensors4_3.4.0-2_amd64.deb library to read temperature/voltage/fan sensors
libsepol1-dev_2.4-2_amd64.deb SELinux binary policy manipulation library and development files
libsepol1_2.4-2_amd64.deb SELinux library for manipulating binary security policies
libserf-1-1_1.3.8-1_amd64.deb high-performance asynchronous HTTP client library
libserf-dev_1.3.8-1_amd64.deb high-performance asynchronous HTTP client library headers
libservlet3.1-java-doc_8.0.32-1ubuntu1_all.deb Servlet 3.1, JSP 2.3, EL 3.0 and WebSocket 1.0 Java API documentation
libservlet3.1-java_8.0.32-1ubuntu1_all.deb Servlet 3.1, JSP 2.3, EL 3.0 and WebSocket 1.0 Java API classes
libsgutils2-2_1.40-0ubuntu1_amd64.deb utilities for devices using the SCSI command set (shared libraries)
libsgutils2-dev_1.40-0ubuntu1_amd64.deb utilities for devices using the SCSI command set (developer files)
libshout3-dev_2.3.1-3_amd64.deb MP3/Ogg Vorbis broadcast streaming library (development)
libshout3_2.3.1-3_amd64.deb MP3/Ogg Vorbis broadcast streaming library
libsigc++-2.0-0v5_2.6.2-1_amd64.deb type-safe Signal Framework for C++ - runtime
libsigc++-2.0-dev_2.6.2-1_amd64.deb type-safe Signal Framework for C++ - development files
libsigc++-2.0-doc_2.6.2-1_all.deb type-safe Signal Framework for C++ - reference documentation
Advertisement
Advertisement